Name:		kde-plasma-daisy
Version:	0.0.4.23
Release:	2%{?dist}
Summary:	A versatile application launcher

Group:		User Interface/Desktops
License:	GPLv3+
URL:		http://www.cdlszm.org/
Source0:	http://cdlszm.org/downloads/plasma-applet-daisy-%{version}.tar.gz

BuildRequires:	kdebase-workspace-devel gettext


%description
Daisy is a versatile yet simple plasma application launcher applet.
It supports three different types of roles: a circular dock,
a media controller and a linear dock.


%prep
%setup -q -n plasma-applet-daisy-%{version}
chmod 0644 applet/src/daisyTasks.cpp


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang plasma_applet_daisy


%clean
rm -rf %{buildroot}


%files -f plasma_applet_daisy.lang
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG COPYING README TODO
%{_kde4_libdir}/kde4/plasma_applet_daisy.so
%{_kde4_appsdir}/desktoptheme/default/widgets/*svgz
%{_kde4_datadir}/kde4/services/plasma-applet-daisy.desktop



%changelog
* Tue Jul 06 2010 Julian Aloofi <julian at, fedoraproject.org> - 0.0.4.23-2
- fix permission of daisyTasks.cpp

* Sun Jul 04 2010 Julian Aloofi <julian at, fedoraproject.org> - 0.0.4.23-1
- updated to new upstream version
- new upstream homepage
- removed BuildRoot tag
- chmod in prep not needed anymore

* Wed Mar 31 2010 Julian Aloofi <julian at, fedoraproject.org> - 0.0.4.22-2
- using the kde4_appsdir macro in the files section now

* Mon Mar 29 2010 Julian Aloofi <julian at, fedoraproject.org> - 0.0.4.22-1
- initial package
